#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ChartSpots.TrueBreakEven[] cacheTrueBreakEven;

		
		public ChartSpots.TrueBreakEven TrueBreakEven(string accountName)
		{
			return TrueBreakEven(Input, accountName);
		}


		
		public ChartSpots.TrueBreakEven TrueBreakEven(ISeries<double> input, string accountName)
		{
			if (cacheTrueBreakEven != null)
				for (int idx = 0; idx < cacheTrueBreakEven.Length; idx++)
					if (cacheTrueBreakEven[idx].AccountName == accountName && cacheTrueBreakEven[idx].EqualsInput(input))
						return cacheTrueBreakEven[idx];
			return CacheIndicator<ChartSpots.TrueBreakEven>(new ChartSpots.TrueBreakEven(){ AccountName = accountName }, input, ref cacheTrueBreakEven);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ChartSpots.TrueBreakEven TrueBreakEven(string accountName)
		{
			return indicator.TrueBreakEven(Input, accountName);
		}


		
		public Indicators.ChartSpots.TrueBreakEven TrueBreakEven(ISeries<double> input , string accountName)
		{
			return indicator.TrueBreakEven(input, accountName);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ChartSpots.TrueBreakEven TrueBreakEven(string accountName)
		{
			return indicator.TrueBreakEven(Input, accountName);
		}


		
		public Indicators.ChartSpots.TrueBreakEven TrueBreakEven(ISeries<double> input , string accountName)
		{
			return indicator.TrueBreakEven(input, accountName);
		}

	}
}

#endregion
